Subject: bug#16156: electric indent gripes

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 05 May 2022 14:51:18 +0200

Richard Stallman <[email-masked]> writes:

> In text mode, if the buffer contains
> -----------------------------------------
> foo
>
>    bar
>
> -----------------------------------------
>
> and point is at the end of the line, and I type RET,
> it indents the following line.
>
> I don't ever like having newline indent.  It should be a minor mode,
> and the documentation of `newline' should explain how to easily turn
> this off.

It is a minor mode, and the doc string does explain this (at least now
it does).

---
It is bound to RET.

(newline &optional ARG INTERACTIVE)

Insert a newline, and move to left margin of the new line.
With prefix argument ARG, insert that many newlines.

If ‘electric-indent-mode’ is enabled, this indents the final new line
that it adds, and reindents the preceding line.  To just insert
a newline, use M-x electric-indent-just-newline.
---

So I don't think there's anything we want to change here, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no